///*
// * Copyright 2012 Adaptrex, LLC
// *
// * Licensed under the Apache License, Version 2.0 (the "License");
// * you may not use this file except in compliance with the License.
// * You may obtain a copy of the License at
// *
// *    http://www.apache.org/licenses/LICENSE-2.0
// *
// * Unless required by applicable law or agreed to in writing, software
// * distributed under the License is distributed on an "AS IS" BASIS,
// * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// * See the License for the specific language governing permissions and
// * limitations under the License.
// */
//
//package com.adaptrex.core.security.interceptor;
//
//import javax.interceptor.AroundInvoke;
//import javax.interceptor.Interceptor;
//import javax.interceptor.InvocationContext;
//
//import org.apache.shiro.SecurityUtils;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import com.adaptrex.core.security.annotation.SecureUser;
//
//@Interceptor
//@SecureUser
//public class SecureUserInterceptor {
//
//	private static Logger log = LoggerFactory.getLogger(SecureUserInterceptor.class);
//	
//	@AroundInvoke
//    public Object checkSecure(InvocationContext ctx) throws Exception {
//		if (SecurityUtils.getSubject().getPrincipal() != null) {
//			return ctx.proceed();
//		} else {
//			log.debug("User Permission Not Authorized for: Anonymous @ " + 
//					ctx.getMethod().getDeclaringClass() + "." + ctx.getMethod().getName() + "()");
//			return null;
//		}
//        
//    }
//	
//}
